"No adapter detected" - RPi2 - PS4 - Teensy 2.0 - Formula Force Ex

Need help? Ask here and someone will help
Post Reply
Fjellse
Posts: 3
Joined: Sat Mar 03, 2018 2:49 pm

"No adapter detected" - RPi2 - PS4 - Teensy 2.0 - Formula Force Ex

Post by Fjellse » Sat Mar 03, 2018 9:17 pm

I am trying to run gimx with my old Raspberry Pi 2 to run my old Formula Force Ex on the PS4. I followed the tutorial by Rudi Rastelli and also used his .img. Though, I can't get the system running. I always get

Code: Select all

../common/posix/async.c:196 async_read_timeout: select failed with error: No such file or directory
can't read packet header
gimx.c:207 main: no adapter detected
I tried several different setups - downgrade RPI firmware, update it, tripple check the connections, changed it since it was asked in the log if tx and rx were mixed-up, tried other images for the RPI, all mini usb to usb cables I have got.

I tried to change within the configuration file the name from name="Logitech Logitech Formula Force EX" to name="HID 046d:c294"

Code: Select all

<?xml version="1.0" encoding="UTF-8"?>
<root>
  <controller id="1" dpi="0" type="G29 PS4">
    <configuration id="1">
      <trigger type="" id="" name="" button_id="" switch_back="no" delay="0"/>
      <mouse_options_list/>
      <intensity_list/>
      <button_map>
        <button id="abs_axis_2" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="8"/>
        </button>
        <button id="abs_axis_1" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="9"/>
        </button>
        <button id="abs_axis_3" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="12"/>
        </button>
        <button id="abs_axis_4" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="13"/>
        </button>
        <button id="abs_axis_5" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="14"/>
        </button>
        <button id="abs_axis_6" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="15"/>
        </button>
        <button id="abs_axis_7" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="3"/>
        </button>
        <button id="abs_axis_8" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="2"/>
        </button>
        <button id="abs_axis_9" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="0"/>
        </button>
        <button id="abs_axis_10" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="1"/>
        </button>
        <button id="abs_axis_11" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="5"/>
        </button>
        <button id="abs_axis_12" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="4"/>
        </button>
        <button id="abs_axis_13" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="7"/>
        </button>
        <button id="abs_axis_14" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="6"/>
        </button>
        <button id="abs_axis_15" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="11"/>
        </button>
        <button id="abs_axis_16" label="">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="button" id="10"/>
        </button>
        <button id="abs_axis_17" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="15"/>
        </button>
        <button id="abs_axis_10" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="2"/>
        </button>
        <button id="abs_axis_9" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="0"/>
        </button>
        <button id="abs_axis_8" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="1"/>
        </button>
        <button id="abs_axis_7" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="3"/>
        </button>
        <button id="abs_axis_11" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="9"/>
        </button>
        <button id="abs_axis_12" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="10"/>
        </button>
        <button id="abs_axis_0" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="4"/>
        </button>
        <button id="abs_axis_1" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="6"/>
        </button>
        <button id="abs_axis_15" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="7"/>
        </button>
        <button id="abs_axis_16" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="8"/>
        </button>
        <button id="abs_axis_2" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="5"/>
        </button>
        <button id="abs_axis_3" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="11"/>
        </button>
        <button id="abs_axis_4" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="14"/>
        </button>
        <button id="abs_axis_5" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="12"/>
        </button>
        <button id="abs_axis_6" label="">
          <device type="joystick" id="0" name="Sony Computer Entertainment Wireless Controller"/>
          <event type="button" id="13"/>
        </button>
      </button_map>
      <axis_map>
        <axis id="abs_axis_17" label="gas">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="axis" id="1" dead_zone="0" multiplier="0.008" exponent="1.00" shape=""/>
        </axis>
        <axis id="abs_axis_18" label="brake">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="axis" id="2" dead_zone="0" multiplier="0.008" exponent="1.00" shape=""/>
        </axis>
        <axis id="rel_axis_0" label="wheel">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="axis" id="0" dead_zone="0" multiplier="0.0039" exponent="1.00" shape=""/>
        </axis>
      </axis_map>
      <joystick_corrections_list>
        <correction low_value="32767" low_coef="-8192" high_value="0" high_coef="0">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="axis" id="1"/>
        </correction>
        <correction low_value="32767" low_coef="-8192" high_value="0" high_coef="0">
          <device type="joystick" id="0" name="HID 046d:c294"/>
          <event type="axis" id="2"/>
        </correction>
      </joystick_corrections_list>
    </configuration>
  </controller>
</root>
I ordered my teensy here: Teensy 2.0

In the following images my installation can be followed. I had no 3.3k Ohm so I added 1k+1k+1.3k in series to create the 3:2 voltage divider. The one loose orange cable is from the 5V output of the teensy. I soldered this one first, but I thought it might be some issue with the potentials, since I didn't use the Vcc next to the ground. Didn't change anything ...
Image Image Image Image Image

This is the log file:

Code: Select all

global option -l with value `log.txt'
status flag is set
GIMX 6.0 ARMv6
Raspbian GNU/Linux 8.0 (jessie)
Linux 4.1.21+ #873 Mon Apr 11 18:00:37 BST 2016 unknown
Bus 001 Device 005: ID 046d:c294 Logitech, Inc. Driving Force
Bus 001 Device 004: ID 054c:09cc Sony Corp.
Bus 001 Device 003: ID 0424:ec00 Standard Microsystems Corp. SMSC9512/9514 Fast Ethernet Adapter
Bus 001 Device 002: ID 0424:9514 Standard Microsystems Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=dwc_otg/1p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/5p, 480M
        |__ Port 1: Dev 3, If 0, Class=Vendor Specific Class, Driver=smsc95xx, 480M
        |__ Port 2: Dev 4, If 0, Class=Audio, Driver=snd-usb-audio, 12M
        |__ Port 2: Dev 4, If 1, Class=Audio, Driver=snd-usb-audio, 12M
        |__ Port 2: Dev 4, If 2, Class=Audio, Driver=snd-usb-audio, 12M
        |__ Port 2: Dev 4, If 3, Class=Human Interface Device, Driver=usbhid, 12M
        |__ Port 3: Dev 5, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
../common/posix/async.c:196 async_read_timeout: select failed with error: No such file or directory
can't read packet header
gimx.c:207 main: no adapter detected
for some reason I am not able to update Gimx though, and this is the output, when I try to do so:

Code: Select all

pi@raspberrypi:~ $ wget http://gimx.fr/download/gimx-raspbian -O gimx.deb
converted 'http://gimx.fr/download/gimx-raspbian' (ANSI_X3.4-1968) -> 'http://gimx.fr/download/gimx-raspbian' (UTF-8)
--2018-03-03 18:09:29--  http://gimx.fr/download/gimx-raspbian
Resolving gimx.fr (gimx.fr)... 213.186.33.19
Connecting to gimx.fr (gimx.fr)|213.186.33.19|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: https://github.com/matlo/GIMX/releases/download/v7.2/gimx_7.2-1_armhf.deb [following]
converted 'https://github.com/matlo/GIMX/releases/download/v7.2/gimx_7.2-1_armhf.deb' (ANSI_X3.4-1968) -> 'https://github.com/matlo/GIMX/releases/download/v7.2/gimx_7.2-1_armhf.deb' (UTF-8)
--2018-03-03 18:09:29--  https://github.com/matlo/GIMX/releases/download/v7.2/gimx_7.2-1_armhf.deb
Resolving github.com (github.com)... 192.30.253.113, 192.30.253.112
Connecting to github.com (github.com)|192.30.253.113|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://github-production-release-asset-2e65be.s3.amazonaws.com/14649223/60ff225c-12a2-11e8-91c0-a7a0aed112b1?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20180303%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20180303T170930Z&X-Amz-Expires=300&X-Amz-Signature=6341213fce55c70d2cfd95a1f3beef11a2637e8ba300e437180101fe233f4270&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Dgimx_7.2-1_armhf.deb&response-content-type=application%2Foctet-stream [following]
converted 'https://github-production-release-asset-2e65be.s3.amazonaws.com/14649223/60ff225c-12a2-11e8-91c0-a7a0aed112b1?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20180303%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20180303T170930Z&X-Amz-Expires=300&X-Amz-Signature=6341213fce55c70d2cfd95a1f3beef11a2637e8ba300e437180101fe233f4270&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Dgimx_7.2-1_armhf.deb&response-content-type=application%2Foctet-stream' (ANSI_X3.4-1968) -> 'https://github-production-release-asset-2e65be.s3.amazonaws.com/14649223/60ff225c-12a2-11e8-91c0-a7a0aed112b1?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A/20180303/us-east-1/s3/aws4_request&X-Amz-Date=20180303T170930Z&X-Amz-Expires=300&X-Amz-Signature=6341213fce55c70d2cfd95a1f3beef11a2637e8ba300e437180101fe233f4270&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment; filename=gimx_7.2-1_armhf.deb&response-content-type=application/octet-stream' (UTF-8)
--2018-03-03 18:09:30--  https://github-production-release-asset-2e65be.s3.amazonaws.com/14649223/60ff225c-12a2-11e8-91c0-a7a0aed112b1?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A/20180303/us-east-1/s3/aws4_request&X-Amz-Date=20180303T170930Z&X-Amz-Expires=300&X-Amz-Signature=6341213fce55c70d2cfd95a1f3beef11a2637e8ba300e437180101fe233f4270&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment;%20filename=gimx_7.2-1_armhf.deb&response-content-type=application/octet-stream
Resolving github-production-release-asset-2e65be.s3.amazonaws.com (github-production-release-asset-2e65be.s3.amazonaws.com)... 52.216.166.107
Connecting to github-production-release-asset-2e65be.s3.amazonaws.com (github-production-release-asset-2e65be.s3.amazonaws.com)|52.216.166.107|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 550614 (538K) [application/octet-stream]
Saving to: 'gimx.deb'

gimx.deb                    100%[===========================================>] 537.71K   406KB/s   in 1.3s   

2018-03-03 18:09:32 (406 KB/s) - 'gimx.deb' saved [550614/550614]

pi@raspberrypi:~ $ sudo sudo dpkg -i gimx.deb
(Reading database ... 39373 files and directories currently installed.)
Preparing to unpack gimx.deb ...
Unpacking gimx (7.2-1) over (6.0-1) ...
dpkg: dependency problems prevent configuration of gimx:
 gimx depends on libncursesw5 (>= 6); however:
  Version of libncursesw5:armhf on system is 5.9+20140913-1+deb8u2.
 gimx depends on libstdc++6 (>= 5.2); however:
  Version of libstdc++6:armhf on system is 4.9.2-10+deb8u1.
 gimx depends on libtinfo5 (>= 6); however:
  Version of libtinfo5:armhf on system is 5.9+20140913-1+deb8u2.
 gimx depends on libwxbase3.0-0v5 (>= 3.0.2+dfsg); however:
  Package libwxbase3.0-0v5 is not installed.
 gimx depends on libwxgtk3.0-0v5 (>= 3.0.2+dfsg); however:
  Package libwxgtk3.0-0v5 is not installed.
 gimx depends on avrdude; however:
  Package avrdude is not installed.

dpkg: error processing package gimx (--install):
 dependency problems - leaving unconfigured
Processing triggers for mime-support (3.58) ...
Errors were encountered while processing:
 gimx
pi@raspberrypi:~ $ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  adwaita-icon-theme at-spi2-core avrdude colord colord-data dconf-gsettings-backend dconf-service
  fontconfig gconf-service gconf2 gconf2-common gcr gksu glib-networking glib-networking-common
  glib-networking-services gnome-keyring gsettings-desktop-schemas hicolor-icon-theme libatk-bridge2.0-0
  libatk1.0-0 libatk1.0-data libatspi2.0-0 libauthen-sasl-perl libavahi-client3 libbluetooth3
  libcairo-gobject2 libcairo2 libcanberra-gtk3-0 libcanberra-gtk3-module libcanberra0 libcolord2
  libcolorhug2 libcroco3 libcups2 libcurl3-gnutls libdatrie1 libdbus-glib-1-2 libdconf1
  libencode-locale-perl libexif12 libfile-basedir-perl libfile-copy-recursive-perl libfile-desktopentry-perl
  libfile-listing-perl libfile-mimeinfo-perl libfont-afm-perl libftdi1 libgck-1-0 libgconf-2-4
  libgcr-3-common libgcr-base-3-1 libgcr-ui-3-1 libgd3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgksu2-0
  libgnome-keyring-common libgnome-keyring0 libgphoto2-6 libgphoto2-l10n libgphoto2-port10 libgraphite2-3
  libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgtop2-7
  libgtop2-common libgudev-1.0-0 libgusb2 libharfbuzz0b libhtml-form-perl libhtml-format-perl
  libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl libhttp-daemon-perl
  libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libieee1284-3 libio-html-perl
  libio-socket-ssl-perl libjasper1 libjbig0 libjpeg8 libjson-glib-1.0-0 libjson-glib-1.0-common liblcms2-2
  libltdl7 liblwp-mediatypes-perl liblwp-protocol-https-perl libmailtools-perl libmhash2 libnet-dbus-perl
  libnet-http-perl libnet-smtp-ssl-perl libnet-ssleay-perl libnotify4 libogg0 libpam-gnome-keyring
  libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpixman-1-0 libpolkit-agent-1-0
  libpolkit-backend-1-0 libpolkit-gobject-1-0 libproxy1 librest-0.7-0 librsvg2-2 librsvg2-common libsane
  libsane-common libsane-extras libsane-extras-common libsoup-gnome2.4-1 libsoup2.4-1
  libstartup-notification0 libtdb1 libthai-data libthai0 libtie-ixhash-perl libtiff5 liburi-perl libvorbis0a
  libvorbisfile3 libvpx1 libwayland-client0 libwayland-cursor0 libwww-perl libwww-robotrules-perl
  libwxbase3.0-0 libwxgtk3.0-0 libx11-protocol-perl libxcb-render0 libxcb-shm0 libxcb-util0 libxcursor1
  libxkbcommon0 libxml-parser-perl libxml-twig-perl libxml-xpathengine-perl notification-daemon p11-kit
  p11-kit-modules policykit-1 sane-utils update-inetd x11-xserver-utils xdg-utils
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  avrdude libftdi1 libpam-modules
Suggested packages:
  avrdude-doc
The following packages will be REMOVED:
  gimx
The following NEW packages will be installed:
  avrdude libftdi1
The following packages will be upgraded:
  libpam-modules
1 upgraded, 2 newly installed, 1 to remove and 127 not upgraded.
25 not fully installed or removed.
Need to get 260 kB/548 kB of archives.
After this operation, 910 kB disk space will be freed.
Do you want to continue? [Y/n] y
Get:1 http://mirrordirector.raspbian.org/raspbian/ jessie/main libftdi1 armhf 0.20-2 [16.7 kB]
Get:2 http://archive.raspberrypi.org/debian/ jessie/main avrdude armhf 6.1-2+rpi1 [244 kB]
Fetched 260 kB in 0s (279 kB/s)
Can't set locale; make sure $LC_* and $LANG are correct!
Reading changelogs... Done
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to a fallback locale ("en_GB.UTF-8").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Preconfiguring packages ...
(Reading database ... 39395 files and directories currently installed.)
Removing gimx (7.2-1) ...
Processing triggers for mime-support (3.58) ...
(Reading database ... 39342 files and directories currently installed.)
Preparing to unpack .../libpam-modules_1.1.8-3.1+deb8u2+rpi3_armhf.deb ...
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Unpacking libpam-modules:armhf (1.1.8-3.1+deb8u2+rpi3) over (1.1.8-3.1+deb8u1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libpam-modules:armhf (1.1.8-3.1+deb8u2+rpi3) ...
Selecting previously unselected package libftdi1:armhf.
(Reading database ... 39342 files and directories currently installed.)
Preparing to unpack .../libftdi1_0.20-2_armhf.deb ...
Unpacking libftdi1:armhf (0.20-2) ...
Selecting previously unselected package avrdude.
Preparing to unpack .../avrdude_6.1-2+rpi1_armhf.deb ...
Unpacking avrdude (6.1-2+rpi1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libkrb5support0:armhf (1.12.1+dfsg-19+deb8u4) ...
Setting up libk5crypto3:armhf (1.12.1+dfsg-19+deb8u4) ...
Setting up libkrb5-3:armhf (1.12.1+dfsg-19+deb8u4) ...
Setting up libgssapi-krb5-2:armhf (1.12.1+dfsg-19+deb8u4) ...
Setting up libtirpc1:armhf (0.2.5-1+deb8u1) ...
Setting up perl-modules (5.20.2-3+deb8u9) ...
Setting up perl (5.20.2-3+deb8u9) ...
Setting up libasan1:armhf (4.9.2-10+deb8u1) ...
Setting up libatomic1:armhf (4.9.2-10+deb8u1) ...
Setting up libgomp1:armhf (4.9.2-10+deb8u1) ...
Setting up libubsan0:armhf (4.9.2-10+deb8u1) ...
Setting up debconf-i18n (1.5.56+deb8u1) ...
Setting up rpcbind (0.2.1-6+deb8u2) ...
insserv: warning: current start runlevel(s) (empty) of script `rpcbind' overrides LSB defaults (S).
insserv: warning: current stop runlevel(s) (0 1 6 S) of script `rpcbind' overrides LSB defaults (0 1 6).
Setting up libc-dev-bin (2.19-18+deb8u10) ...
Setting up libc6-dev:armhf (2.19-18+deb8u10) ...
Setting up binutils (2.25-5+deb8u1) ...
Setting up cpp-4.9 (4.9.2-10+deb8u1) ...
Setting up debconf-utils (1.5.56+deb8u1) ...
Setting up libgcc-4.9-dev:armhf (4.9.2-10+deb8u1) ...
Setting up gcc-4.9 (4.9.2-10+deb8u1) ...
Setting up libstdc++-4.9-dev:armhf (4.9.2-10+deb8u1) ...
Setting up g++-4.9 (4.9.2-10+deb8u1) ...
Setting up libc6-dbg:armhf (2.19-18+deb8u10) ...
Setting up libftdi1:armhf (0.20-2) ...
Setting up avrdude (6.1-2+rpi1) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
The wheel is working with the adapter sold by Matlo on a windows machine. Though, I bought the other Teensy and tried to run it on the RPI since it shall be a gift for my girlfriends little brother and he "only" has a Mac. So every help is very much appreciated!!!

User avatar
Matlo
Posts: 5055
Joined: Wed Jul 06, 2011 7:01 am
Location: France
Contact:

Re: "No adapter detected" - RPi2 - PS4 - Teensy 2.0 - Formula Force Ex

Post by Matlo » Thu Mar 08, 2018 6:54 am

Fjellse wrote:
Sat Mar 03, 2018 9:17 pm
../common/posix/async.c:196 async_read_timeout: select failed with error: No such file or directory
This means the adapter name is not correct. When using the on-board UART with a RPi1 the correct name is ttyAMA0.
GIMX creator Donate Shop

Fjellse
Posts: 3
Joined: Sat Mar 03, 2018 2:49 pm

Re: "No adapter detected" - RPi2 - PS4 - Teensy 2.0 - Formula Force Ex

Post by Fjellse » Sat Mar 10, 2018 8:38 pm

Thank you for your reply, I know you are busy!

Though, I am using in the gimx.service file the ttyAMA0 to call the onboard UART, like this:

Code: Select all

[Unit]
Description=GIMX
After=syslog.target network.target

[Service]
User=pi
Type=simple
ExecStart=/usr/bin/gimx -p /dev/ttyAMA0 -c LogitechFormulaForceEx_G29.xml --nograb
Restart=always
RestartSec=5

[Install]
WantedBy=multi-user.target
Do I call it the Adapter a wrong way?

User avatar
Matlo
Posts: 5055
Joined: Wed Jul 06, 2011 7:01 am
Location: France
Contact:

Re: "No adapter detected" - RPi2 - PS4 - Teensy 2.0 - Formula Force Ex

Post by Matlo » Sat Mar 10, 2018 8:51 pm

Does /dev/ttyAMA0 exist?

Also, you seem to be using Raspbian Jessie. Please upgrade to Raspbian Stretch for installing GIMX 7.2.
GIMX creator Donate Shop

Fjellse
Posts: 3
Joined: Sat Mar 03, 2018 2:49 pm

Re: "No adapter detected" - RPi2 - PS4 - Teensy 2.0 - Formula Force Ex

Post by Fjellse » Mon Mar 12, 2018 6:50 pm

I assumed it did exist. Anyways, I upgraded as you said to Stretch and it finally works! Thanks a lot for your help!

Now I only have to change the button to an axis to be able to use the gas pedal. May be you have some suggestions how to do so?

But anyways, I very appreciate your help! And awesome project!

Post Reply